# Create a merchant platform

Create a merchant platform by sending a POST request to the merchant-platforms endpoint with the business's legal information, then optionally send a reminder to prompt the merchant's signature.

**Prerequisites:** [Authentication](/api/authentication)

An AI skill is available for this guide, get it on the [Skills Marketplace (GitHub)](https://github.com/payroc/skills).

A merchant platform contains all the details of a merchant's business. When you create a merchant platform, you provide the legal information about the business, which includes the unique tax ID, the legal business name, and the type of organization.

We recommend that you also add all processing accounts that the merchant's business requires. For each processing account, include the following details:

- **Business details** including the
  
  Merchant Category Code (MCC)
  
  ,
  
  Doing Business As (DBA)
  
  name, and address of the business.
- **Owners' details** including their names, addresses, and contact details. You must assign a control prong who is responsible for their account.
- **Processing details** including estimated average transaction amounts and monthly processing amounts.
- **Pricing and funding details** including pricing agreements and funding accounts for the processing account.

**Note:** If the merchant’s business expands, you can add more processing accounts.

<a id="integration-steps"></a>
## Integration steps

**Step 1.** Create a merchant platform  
**Step 2.** (Optional) Create a reminder

<a id="before-you-begin"></a>
## Before you begin

[Authenticate your requests](/api/authentication) before making API calls. If your request fails, see [Errors](/api/errors).

<a id="step-1-create-a-merchant-platform"></a>
## Step 1. Create a merchant platform

To create a merchant platform, send a POST request to our merchant platform endpoint.

| Environment | URL |
| --- | --- |
| Test | [https://api.uat.payroc.com/v1/merchant-platforms](https://api.uat.payroc.com/v1/merchant-platforms) |
| Production | [https://api.payroc.com/v1/merchant-platforms](https://api.payroc.com/v1/merchant-platforms) |

<a id="request-parameters"></a>
### Request parameters

To create the body of your request, use the following parameters:

<a id="schema-requestbody"></a>
### Schema (`request.body`)

[Request body schema for `POST /merchant-platforms`](/api/create-merchant)

<a id="example-request"></a>
### Example request

<a id="request"></a>
### Request

POST [https://api.payroc.com/v1/merchant-platforms](https://api.payroc.com/v1/merchant-platforms)

**`Create merchant platform`**

```curl
curl -X POST https://api.payroc.com/v1/merchant-platforms \
     -H "Idempotency-Key: 8e03978e-40d5-43e8-bc93-6894a57f9324" \
     -H "Authorization: Bearer <token>" \
     -H "Content-Type: application/json" \
     -d '{
  "business": {
    "name": "Example Corp",
    "taxId": "12-3456789",
    "organizationType": "privateCorporation",
    "addresses": [
      {
        "address1": "1 Example Ave.",
        "address2": "Example Address Line 2",
        "address3": "Example Address Line 3",
        "city": "Chicago",
        "country": "US",
        "postalCode": "60056",
        "state": "Illinois",
        "type": "legalAddress"
      }
    ],
    "contactMethods": [
      {
        "type": "email",
        "value": "jane.doe@example.com"
      }
    ],
    "countryOfOperation": "US"
  },
  "processingAccounts": [
    {
      "doingBusinessAs": "Pizza Doe",
      "owners": [
        {
          "firstName": "Jane",
          "lastName": "Doe",
          "dateOfBirth": "1964-03-22",
          "address": {
            "address1": "1 Example Ave.",
            "city": "Chicago",
            "state": "Illinois",
            "country": "US",
            "postalCode": "60056",
            "address2": "Example Address Line 2",
            "address3": "Example Address Line 3"
          },
          "identifiers": [
            {
              "type": "nationalId",
              "value": "000-00-4320"
            }
          ],
          "contactMethods": [
            {
              "type": "email",
              "value": "jane.doe@example.com"
            }
          ],
          "relationship": {
            "isControlProng": true,
            "equityPercentage": 48.5,
            "title": "CFO",
            "isAuthorizedSignatory": false
          },
          "middleName": "Helen"
        }
      ],
      "merchandiseOrServiceSold": "Pizza",
      "businessStartDate": "2020-01-01",
      "timezone": "America/Chicago",
      "address": {
        "address1": "1 Example Ave.",
        "address2": "Example Address Line 2",
        "address3": "Example Address Line 3",
        "city": "Chicago",
        "country": "US",
        "postalCode": "60056",
        "state": "Illinois"
      },
      "contactMethods": [
        {
          "type": "email",
          "value": "jane.doe@example.com"
        }
      ],
      "processing": {
        "transactionAmounts": {
          "average": 5000,
          "highest": 10000
        },
        "monthlyAmounts": {
          "average": 50000,
          "highest": 100000
        },
        "volumeBreakdown": {
          "cardPresent": 77,
          "mailOrTelephone": 3,
          "ecommerce": 20
        },
        "isSeasonal": true,
        "monthsOfOperation": [
          "jan",
          "feb"
        ],
        "ach": {
          "refunds": {
            "writtenRefundPolicy": true,
            "refundPolicyUrl": "http://www.example.com/refunds"
          },
          "estimatedMonthlyTransactions": 3000,
          "limits": {
            "singleTransaction": 10000,
            "dailyDeposit": 200000,
            "monthlyDeposit": 6000000
          },
          "naics": "5812",
          "previouslyTerminatedForAch": false,
          "transactionTypes": [
            "prearrangedPayment",
            "other"
          ],
          "transactionTypesOther": "recurringBilling"
        },
        "cardAcceptance": {
          "debitOnly": false,
          "hsaFsa": false,
          "cardsAccepted": [
            "visa",
            "mastercard"
          ],
          "specialityCards": {
            "americanExpressDirect": {
              "enabled": true,
              "merchantNumber": "abc1234567"
            },
            "electronicBenefitsTransfer": {
              "enabled": true,
              "fnsNumber": "6789012"
            },
            "other": {
              "wexMerchantNumber": "abc1234567",
              "voyagerMerchantId": "abc1234567",
              "fleetMerchantId": "abc1234567"
            }
          }
        }
      },
      "funding": {
        "fundingSchedule": "nextday",
        "acceleratedFundingFee": 1999,
        "dailyDiscount": false,
        "fundingAccounts": [
          {
            "type": "checking",
            "use": "creditAndDebit",
            "nameOnAccount": "Jane Doe",
            "paymentMethods": [
              {
                "type": "ach",
                "value": {
                  "routingNumber": "123456789",
                  "accountNumber": "1234567890"
                }
              }
            ],
            "metadata": {
              "yourCustomField": "abc123"
            }
          }
        ]
      },
      "pricing": {
        "type": "intent",
        "pricingIntentId": "6123"
      },
      "signature": {
        "type": "requestedViaDirectLink"
      },
      "website": "www.example.com",
      "businessType": "restaurant",
      "categoryCode": 5999,
      "processor": "tsys",
      "contacts": [
        {
          "type": "manager",
          "firstName": "Jane",
          "lastName": "Doe",
          "contactMethods": [
            {
              "type": "email",
              "value": "jane.doe@example.com"
            }
          ],
          "middleName": "Helen",
          "identifiers": [
            {
              "type": "nationalId",
              "value": "000-00-4320"
            }
          ]
        }
      ],
      "metadata": {
        "customerId": "2345"
      }
    }
  ],
  "metadata": {
    "customerId": "2345"
  }
}'
```

**`Create merchant platform`**

```python
import requests

url = "https://api.payroc.com/v1/merchant-platforms"

payload = {
    "business": {
        "name": "Example Corp",
        "taxId": "12-3456789",
        "organizationType": "privateCorporation",
        "addresses": [
            {
                "address1": "1 Example Ave.",
                "address2": "Example Address Line 2",
                "address3": "Example Address Line 3",
                "city": "Chicago",
                "country": "US",
                "postalCode": "60056",
                "state": "Illinois",
                "type": "legalAddress"
            }
        ],
        "contactMethods": [
            {
                "type": "email",
                "value": "jane.doe@example.com"
            }
        ],
        "countryOfOperation": "US"
    },
    "processingAccounts": [
        {
            "doingBusinessAs": "Pizza Doe",
            "owners": [
                {
                    "firstName": "Jane",
                    "lastName": "Doe",
                    "dateOfBirth": "1964-03-22",
                    "address": {
                        "address1": "1 Example Ave.",
                        "city": "Chicago",
                        "state": "Illinois",
                        "country": "US",
                        "postalCode": "60056",
                        "address2": "Example Address Line 2",
                        "address3": "Example Address Line 3"
                    },
                    "identifiers": [
                        {
                            "type": "nationalId",
                            "value": "000-00-4320"
                        }
                    ],
                    "contactMethods": [
                        {
                            "type": "email",
                            "value": "jane.doe@example.com"
                        }
                    ],
                    "relationship": {
                        "isControlProng": True,
                        "equityPercentage": 48.5,
                        "title": "CFO",
                        "isAuthorizedSignatory": False
                    },
                    "middleName": "Helen"
                }
            ],
            "merchandiseOrServiceSold": "Pizza",
            "businessStartDate": "2020-01-01",
            "timezone": "America/Chicago",
            "address": {
                "address1": "1 Example Ave.",
                "address2": "Example Address Line 2",
                "address3": "Example Address Line 3",
                "city": "Chicago",
                "country": "US",
                "postalCode": "60056",
                "state": "Illinois"
            },
            "contactMethods": [
                {
                    "type": "email",
                    "value": "jane.doe@example.com"
                }
            ],
            "processing": {
                "transactionAmounts": {
                    "average": 5000,
                    "highest": 10000
                },
                "monthlyAmounts": {
                    "average": 50000,
                    "highest": 100000
                },
                "volumeBreakdown": {
                    "cardPresent": 77,
                    "mailOrTelephone": 3,
                    "ecommerce": 20
                },
                "isSeasonal": True,
                "monthsOfOperation": ["jan", "feb"],
                "ach": {
                    "refunds": {
                        "writtenRefundPolicy": True,
                        "refundPolicyUrl": "http://www.example.com/refunds"
                    },
                    "estimatedMonthlyTransactions": 3000,
                    "limits": {
                        "singleTransaction": 10000,
                        "dailyDeposit": 200000,
                        "monthlyDeposit": 6000000
                    },
                    "naics": "5812",
                    "previouslyTerminatedForAch": False,
                    "transactionTypes": ["prearrangedPayment", "other"],
                    "transactionTypesOther": "recurringBilling"
                },
                "cardAcceptance": {
                    "debitOnly": False,
                    "hsaFsa": False,
                    "cardsAccepted": ["visa", "mastercard"],
                    "specialityCards": {
                        "americanExpressDirect": {
                            "enabled": True,
                            "merchantNumber": "abc1234567"
                        },
                        "electronicBenefitsTransfer": {
                            "enabled": True,
                            "fnsNumber": "6789012"
                        },
                        "other": {
                            "wexMerchantNumber": "abc1234567",
                            "voyagerMerchantId": "abc1234567",
                            "fleetMerchantId": "abc1234567"
                        }
                    }
                }
            },
            "funding": {
                "fundingSchedule": "nextday",
                "acceleratedFundingFee": 1999,
                "dailyDiscount": False,
                "fundingAccounts": [
                    {
                        "type": "checking",
                        "use": "creditAndDebit",
                        "nameOnAccount": "Jane Doe",
                        "paymentMethods": [
                            {
                                "type": "ach",
                                "value": {
                                    "routingNumber": "123456789",
                                    "accountNumber": "1234567890"
                                }
                            }
                        ],
                        "metadata": { "yourCustomField": "abc123" }
                    }
                ]
            },
            "pricing": {
                "type": "intent",
                "pricingIntentId": "6123"
            },
            "signature": { "type": "requestedViaDirectLink" },
            "website": "www.example.com",
            "businessType": "restaurant",
            "categoryCode": 5999,
            "processor": "tsys",
            "contacts": [
                {
                    "type": "manager",
                    "firstName": "Jane",
                    "lastName": "Doe",
                    "contactMethods": [
                        {
                            "type": "email",
                            "value": "jane.doe@example.com"
                        }
                    ],
                    "middleName": "Helen",
                    "identifiers": [
                        {
                            "type": "nationalId",
                            "value": "000-00-4320"
                        }
                    ]
                }
            ],
            "metadata": { "customerId": "2345" }
        }
    ],
    "metadata": { "customerId": "2345" }
}
headers = {
    "Idempotency-Key": "8e03978e-40d5-43e8-bc93-6894a57f9324",
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

**`Create merchant platform`**

```javascript
const url = 'https://api.payroc.com/v1/merchant-platforms';
const options = {
  method: 'POST',
  headers: {
    'Idempotency-Key': '8e03978e-40d5-43e8-bc93-6894a57f9324',
    Authorization: 'Bearer <token>',
    'Content-Type': 'application/json'
  },
  body: '{"business":{"name":"Example Corp","taxId":"12-3456789","organizationType":"privateCorporation","addresses":[{"address1":"1 Example Ave.","address2":"Example Address Line 2","address3":"Example Address Line 3","city":"Chicago","country":"US","postalCode":"60056","state":"Illinois","type":"legalAddress"}],"contactMethods":[{"type":"email","value":"jane.doe@example.com"}],"countryOfOperation":"US"},"processingAccounts":[{"doingBusinessAs":"Pizza Doe","owners":[{"firstName":"Jane","lastName":"Doe","dateOfBirth":"1964-03-22","address":{"address1":"1 Example Ave.","city":"Chicago","state":"Illinois","country":"US","postalCode":"60056","address2":"Example Address Line 2","address3":"Example Address Line 3"},"identifiers":[{"type":"nationalId","value":"000-00-4320"}],"contactMethods":[{"type":"email","value":"jane.doe@example.com"}],"relationship":{"isControlProng":true,"equityPercentage":48.5,"title":"CFO","isAuthorizedSignatory":false},"middleName":"Helen"}],"merchandiseOrServiceSold":"Pizza","businessStartDate":"2020-01-01","timezone":"America/Chicago","address":{"address1":"1 Example Ave.","address2":"Example Address Line 2","address3":"Example Address Line 3","city":"Chicago","country":"US","postalCode":"60056","state":"Illinois"},"contactMethods":[{"type":"email","value":"jane.doe@example.com"}],"processing":{"transactionAmounts":{"average":5000,"highest":10000},"monthlyAmounts":{"average":50000,"highest":100000},"volumeBreakdown":{"cardPresent":77,"mailOrTelephone":3,"ecommerce":20},"isSeasonal":true,"monthsOfOperation":["jan","feb"],"ach":{"refunds":{"writtenRefundPolicy":true,"refundPolicyUrl":"http://www.example.com/refunds"},"estimatedMonthlyTransactions":3000,"limits":{"singleTransaction":10000,"dailyDeposit":200000,"monthlyDeposit":6000000},"naics":"5812","previouslyTerminatedForAch":false,"transactionTypes":["prearrangedPayment","other"],"transactionTypesOther":"recurringBilling"},"cardAcceptance":{"debitOnly":false,"hsaFsa":false,"cardsAccepted":["visa","mastercard"],"specialityCards":{"americanExpressDirect":{"enabled":true,"merchantNumber":"abc1234567"},"electronicBenefitsTransfer":{"enabled":true,"fnsNumber":"6789012"},"other":{"wexMerchantNumber":"abc1234567","voyagerMerchantId":"abc1234567","fleetMerchantId":"abc1234567"}}}},"funding":{"fundingSchedule":"nextday","acceleratedFundingFee":1999,"dailyDiscount":false,"fundingAccounts":[{"type":"checking","use":"creditAndDebit","nameOnAccount":"Jane Doe","paymentMethods":[{"type":"ach","value":{"routingNumber":"123456789","accountNumber":"1234567890"}}],"metadata":{"yourCustomField":"abc123"}}]},"pricing":{"type":"intent","pricingIntentId":"6123"},"signature":{"type":"requestedViaDirectLink"},"website":"www.example.com","businessType":"restaurant","categoryCode":5999,"processor":"tsys","contacts":[{"type":"manager","firstName":"Jane","lastName":"Doe","contactMethods":[{"type":"email","value":"jane.doe@example.com"}],"middleName":"Helen","identifiers":[{"type":"nationalId","value":"000-00-4320"}]}],"metadata":{"customerId":"2345"}}],"metadata":{"customerId":"2345"}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

**`Create merchant platform`**

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.payroc.com/v1/merchant-platforms"

	payload := strings.NewReader("{\n  \"business\": {\n    \"name\": \"Example Corp\",\n    \"taxId\": \"12-3456789\",\n    \"organizationType\": \"privateCorporation\",\n    \"addresses\": [\n      {\n        \"address1\": \"1 Example Ave.\",\n        \"address2\": \"Example Address Line 2\",\n        \"address3\": \"Example Address Line 3\",\n        \"city\": \"Chicago\",\n        \"country\": \"US\",\n        \"postalCode\": \"60056\",\n        \"state\": \"Illinois\",\n        \"type\": \"legalAddress\"\n      }\n    ],\n    \"contactMethods\": [\n      {\n        \"type\": \"email\",\n        \"value\": \"jane.doe@example.com\"\n      }\n    ],\n    \"countryOfOperation\": \"US\"\n  },\n  \"processingAccounts\": [\n    {\n      \"doingBusinessAs\": \"Pizza Doe\",\n      \"owners\": [\n        {\n          \"firstName\": \"Jane\",\n          \"lastName\": \"Doe\",\n          \"dateOfBirth\": \"1964-03-22\",\n          \"address\": {\n            \"address1\": \"1 Example Ave.\",\n            \"city\": \"Chicago\",\n            \"state\": \"Illinois\",\n            \"country\": \"US\",\n            \"postalCode\": \"60056\",\n            \"address2\": \"Example Address Line 2\",\n            \"address3\": \"Example Address Line 3\"\n          },\n          \"identifiers\": [\n            {\n              \"type\": \"nationalId\",\n              \"value\": \"000-00-4320\"\n            }\n          ],\n          \"contactMethods\": [\n            {\n              \"type\": \"email\",\n              \"value\": \"jane.doe@example.com\"\n            }\n          ],\n          \"relationship\": {\n            \"isControlProng\": true,\n            \"equityPercentage\": 48.5,\n            \"title\": \"CFO\",\n            \"isAuthorizedSignatory\": false\n          },\n          \"middleName\": \"Helen\"\n        }\n      ],\n      \"merchandiseOrServiceSold\": \"Pizza\",\n      \"businessStartDate\": \"2020-01-01\",\n      \"timezone\": \"America/Chicago\",\n      \"address\": {\n        \"address1\": \"1 Example Ave.\",\n        \"address2\": \"Example Address Line 2\",\n        \"address3\": \"Example Address Line 3\",\n        \"city\": \"Chicago\",\n        \"country\": \"US\",\n        \"postalCode\": \"60056\",\n        \"state\": \"Illinois\"\n      },\n      \"contactMethods\": [\n        {\n          \"type\": \"email\",\n          \"value\": \"jane.doe@example.com\"\n        }\n      ],\n      \"processing\": {\n        \"transactionAmounts\": {\n          \"average\": 5000,\n          \"highest\": 10000\n        },\n        \"monthlyAmounts\": {\n          \"average\": 50000,\n          \"highest\": 100000\n        },\n        \"volumeBreakdown\": {\n          \"cardPresent\": 77,\n          \"mailOrTelephone\": 3,\n          \"ecommerce\": 20\n        },\n        \"isSeasonal\": true,\n        \"monthsOfOperation\": [\n          \"jan\",\n          \"feb\"\n        ],\n        \"ach\": {\n          \"refunds\": {\n            \"writtenRefundPolicy\": true,\n            \"refundPolicyUrl\": \"http://www.example.com/refunds\"\n          },\n          \"estimatedMonthlyTransactions\": 3000,\n          \"limits\": {\n            \"singleTransaction\": 10000,\n            \"dailyDeposit\": 200000,\n            \"monthlyDeposit\": 6000000\n          },\n          \"naics\": \"5812\",\n          \"previouslyTerminatedForAch\": false,\n          \"transactionTypes\": [\n            \"prearrangedPayment\",\n            \"other\"\n          ],\n          \"transactionTypesOther\": \"recurringBilling\"\n        },\n        \"cardAcceptance\": {\n          \"debitOnly\": false,\n          \"hsaFsa\": false,\n          \"cardsAccepted\": [\n            \"visa\",\n            \"mastercard\"\n          ],\n          \"specialityCards\": {\n            \"americanExpressDirect\": {\n              \"enabled\": true,\n              \"merchantNumber\": \"abc1234567\"\n            },\n            \"electronicBenefitsTransfer\": {\n              \"enabled\": true,\n              \"fnsNumber\": \"6789012\"\n            },\n            \"other\": {\n              \"wexMerchantNumber\": \"abc1234567\",\n              \"voyagerMerchantId\": \"abc1234567\",\n              \"fleetMerchantId\": \"abc1234567\"\n            }\n          }\n        }\n      },\n      \"funding\": {\n        \"fundingSchedule\": \"nextday\",\n        \"acceleratedFundingFee\": 1999,\n        \"dailyDiscount\": false,\n        \"fundingAccounts\": [\n          {\n            \"type\": \"checking\",\n            \"use\": \"creditAndDebit\",\n            \"nameOnAccount\": \"Jane Doe\",\n            \"paymentMethods\": [\n              {\n                \"type\": \"ach\",\n                \"value\": {\n                  \"routingNumber\": \"123456789\",\n                  \"accountNumber\": \"1234567890\"\n                }\n              }\n            ],\n            \"metadata\": {\n              \"yourCustomField\": \"abc123\"\n            }\n          }\n        ]\n      },\n      \"pricing\": {\n        \"type\": \"intent\",\n        \"pricingIntentId\": \"6123\"\n      },\n      \"signature\": {\n        \"type\": \"requestedViaDirectLink\"\n      },\n      \"website\": \"www.example.com\",\n      \"businessType\": \"restaurant\",\n      \"categoryCode\": 5999,\n      \"processor\": \"tsys\",\n      \"contacts\": [\n        {\n          \"type\": \"manager\",\n          \"firstName\": \"Jane\",\n          \"lastName\": \"Doe\",\n          \"contactMethods\": [\n            {\n              \"type\": \"email\",\n              \"value\": \"jane.doe@example.com\"\n            }\n          ],\n          \"middleName\": \"Helen\",\n          \"identifiers\": [\n            {\n              \"type\": \"nationalId\",\n              \"value\": \"000-00-4320\"\n            }\n          ]\n        }\n      ],\n      \"metadata\": {\n        \"customerId\": \"2345\"\n      }\n    }\n  ],\n  \"metadata\": {\n    \"customerId\": \"2345\"\n  }\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Idempotency-Key", "8e03978e-40d5-43e8-bc93-6894a57f9324")
	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

**`Create merchant platform`**

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.payroc.com/v1/merchant-platforms")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '8e03978e-40d5-43e8-bc93-6894a57f9324'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"business\": {\n    \"name\": \"Example Corp\",\n    \"taxId\": \"12-3456789\",\n    \"organizationType\": \"privateCorporation\",\n    \"addresses\": [\n      {\n        \"address1\": \"1 Example Ave.\",\n        \"address2\": \"Example Address Line 2\",\n        \"address3\": \"Example Address Line 3\",\n        \"city\": \"Chicago\",\n        \"country\": \"US\",\n        \"postalCode\": \"60056\",\n        \"state\": \"Illinois\",\n        \"type\": \"legalAddress\"\n      }\n    ],\n    \"contactMethods\": [\n      {\n        \"type\": \"email\",\n        \"value\": \"jane.doe@example.com\"\n      }\n    ],\n    \"countryOfOperation\": \"US\"\n  },\n  \"processingAccounts\": [\n    {\n      \"doingBusinessAs\": \"Pizza Doe\",\n      \"owners\": [\n        {\n          \"firstName\": \"Jane\",\n          \"lastName\": \"Doe\",\n          \"dateOfBirth\": \"1964-03-22\",\n          \"address\": {\n            \"address1\": \"1 Example Ave.\",\n            \"city\": \"Chicago\",\n            \"state\": \"Illinois\",\n            \"country\": \"US\",\n            \"postalCode\": \"60056\",\n            \"address2\": \"Example Address Line 2\",\n            \"address3\": \"Example Address Line 3\"\n          },\n          \"identifiers\": [\n            {\n              \"type\": \"nationalId\",\n              \"value\": \"000-00-4320\"\n            }\n          ],\n          \"contactMethods\": [\n            {\n              \"type\": \"email\",\n              \"value\": \"jane.doe@example.com\"\n            }\n          ],\n          \"relationship\": {\n            \"isControlProng\": true,\n            \"equityPercentage\": 48.5,\n            \"title\": \"CFO\",\n            \"isAuthorizedSignatory\": false\n          },\n          \"middleName\": \"Helen\"\n        }\n      ],\n      \"merchandiseOrServiceSold\": \"Pizza\",\n      \"businessStartDate\": \"2020-01-01\",\n      \"timezone\": \"America/Chicago\",\n      \"address\": {\n        \"address1\": \"1 Example Ave.\",\n        \"address2\": \"Example Address Line 2\",\n        \"address3\": \"Example Address Line 3\",\n        \"city\": \"Chicago\",\n        \"country\": \"US\",\n        \"postalCode\": \"60056\",\n        \"state\": \"Illinois\"\n      },\n      \"contactMethods\": [\n        {\n          \"type\": \"email\",\n          \"value\": \"jane.doe@example.com\"\n        }\n      ],\n      \"processing\": {\n        \"transactionAmounts\": {\n          \"average\": 5000,\n          \"highest\": 10000\n        },\n        \"monthlyAmounts\": {\n          \"average\": 50000,\n          \"highest\": 100000\n        },\n        \"volumeBreakdown\": {\n          \"cardPresent\": 77,\n          \"mailOrTelephone\": 3,\n          \"ecommerce\": 20\n        },\n        \"isSeasonal\": true,\n        \"monthsOfOperation\": [\n          \"jan\",\n          \"feb\"\n        ],\n        \"ach\": {\n          \"refunds\": {\n            \"writtenRefundPolicy\": true,\n            \"refundPolicyUrl\": \"http://www.example.com/refunds\"\n          },\n          \"estimatedMonthlyTransactions\": 3000,\n          \"limits\": {\n            \"singleTransaction\": 10000,\n            \"dailyDeposit\": 200000,\n            \"monthlyDeposit\": 6000000\n          },\n          \"naics\": \"5812\",\n          \"previouslyTerminatedForAch\": false,\n          \"transactionTypes\": [\n            \"prearrangedPayment\",\n            \"other\"\n          ],\n          \"transactionTypesOther\": \"recurringBilling\"\n        },\n        \"cardAcceptance\": {\n          \"debitOnly\": false,\n          \"hsaFsa\": false,\n          \"cardsAccepted\": [\n            \"visa\",\n            \"mastercard\"\n          ],\n          \"specialityCards\": {\n            \"americanExpressDirect\": {\n              \"enabled\": true,\n              \"merchantNumber\": \"abc1234567\"\n            },\n            \"electronicBenefitsTransfer\": {\n              \"enabled\": true,\n              \"fnsNumber\": \"6789012\"\n            },\n            \"other\": {\n              \"wexMerchantNumber\": \"abc1234567\",\n              \"voyagerMerchantId\": \"abc1234567\",\n              \"fleetMerchantId\": \"abc1234567\"\n            }\n          }\n        }\n      },\n      \"funding\": {\n        \"fundingSchedule\": \"nextday\",\n        \"acceleratedFundingFee\": 1999,\n        \"dailyDiscount\": false,\n        \"fundingAccounts\": [\n          {\n            \"type\": \"checking\",\n            \"use\": \"creditAndDebit\",\n            \"nameOnAccount\": \"Jane Doe\",\n            \"paymentMethods\": [\n              {\n                \"type\": \"ach\",\n                \"value\": {\n                  \"routingNumber\": \"123456789\",\n                  \"accountNumber\": \"1234567890\"\n                }\n              }\n            ],\n            \"metadata\": {\n              \"yourCustomField\": \"abc123\"\n            }\n          }\n        ]\n      },\n      \"pricing\": {\n        \"type\": \"intent\",\n        \"pricingIntentId\": \"6123\"\n      },\n      \"signature\": {\n        \"type\": \"requestedViaDirectLink\"\n      },\n      \"website\": \"www.example.com\",\n      \"businessType\": \"restaurant\",\n      \"categoryCode\": 5999,\n      \"processor\": \"tsys\",\n      \"contacts\": [\n        {\n          \"type\": \"manager\",\n          \"firstName\": \"Jane\",\n          \"lastName\": \"Doe\",\n          \"contactMethods\": [\n            {\n              \"type\": \"email\",\n              \"value\": \"jane.doe@example.com\"\n            }\n          ],\n          \"middleName\": \"Helen\",\n          \"identifiers\": [\n            {\n              \"type\": \"nationalId\",\n              \"value\": \"000-00-4320\"\n            }\n          ]\n        }\n      ],\n      \"metadata\": {\n        \"customerId\": \"2345\"\n      }\n    }\n  ],\n  \"metadata\": {\n    \"customerId\": \"2345\"\n  }\n}"

response = http.request(request)
puts response.read_body
```

**`Create merchant platform`**

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.payroc.com/v1/merchant-platforms")
  .header("Idempotency-Key", "8e03978e-40d5-43e8-bc93-6894a57f9324")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"business\": {\n    \"name\": \"Example Corp\",\n    \"taxId\": \"12-3456789\",\n    \"organizationType\": \"privateCorporation\",\n    \"addresses\": [\n      {\n        \"address1\": \"1 Example Ave.\",\n        \"address2\": \"Example Address Line 2\",\n        \"address3\": \"Example Address Line 3\",\n        \"city\": \"Chicago\",\n        \"country\": \"US\",\n        \"postalCode\": \"60056\",\n        \"state\": \"Illinois\",\n        \"type\": \"legalAddress\"\n      }\n    ],\n    \"contactMethods\": [\n      {\n        \"type\": \"email\",\n        \"value\": \"jane.doe@example.com\"\n      }\n    ],\n    \"countryOfOperation\": \"US\"\n  },\n  \"processingAccounts\": [\n    {\n      \"doingBusinessAs\": \"Pizza Doe\",\n      \"owners\": [\n        {\n          \"firstName\": \"Jane\",\n          \"lastName\": \"Doe\",\n          \"dateOfBirth\": \"1964-03-22\",\n          \"address\": {\n            \"address1\": \"1 Example Ave.\",\n            \"city\": \"Chicago\",\n            \"state\": \"Illinois\",\n            \"country\": \"US\",\n            \"postalCode\": \"60056\",\n            \"address2\": \"Example Address Line 2\",\n            \"address3\": \"Example Address Line 3\"\n          },\n          \"identifiers\": [\n            {\n              \"type\": \"nationalId\",\n              \"value\": \"000-00-4320\"\n            }\n          ],\n          \"contactMethods\": [\n            {\n              \"type\": \"email\",\n              \"value\": \"jane.doe@example.com\"\n            }\n          ],\n          \"relationship\": {\n            \"isControlProng\": true,\n            \"equityPercentage\": 48.5,\n            \"title\": \"CFO\",\n            \"isAuthorizedSignatory\": false\n          },\n          \"middleName\": \"Helen\"\n        }\n      ],\n      \"merchandiseOrServiceSold\": \"Pizza\",\n      \"businessStartDate\": \"2020-01-01\",\n      \"timezone\": \"America/Chicago\",\n      \"address\": {\n        \"address1\": \"1 Example Ave.\",\n        \"address2\": \"Example Address Line 2\",\n        \"address3\": \"Example Address Line 3\",\n        \"city\": \"Chicago\",\n        \"country\": \"US\",\n        \"postalCode\": \"60056\",\n        \"state\": \"Illinois\"\n      },\n      \"contactMethods\": [\n        {\n          \"type\": \"email\",\n          \"value\": \"jane.doe@example.com\"\n        }\n      ],\n      \"processing\": {\n        \"transactionAmounts\": {\n          \"average\": 5000,\n          \"highest\": 10000\n        },\n        \"monthlyAmounts\": {\n          \"average\": 50000,\n          \"highest\": 100000\n        },\n        \"volumeBreakdown\": {\n          \"cardPresent\": 77,\n          \"mailOrTelephone\": 3,\n          \"ecommerce\": 20\n        },\n        \"isSeasonal\": true,\n        \"monthsOfOperation\": [\n          \"jan\",\n          \"feb\"\n        ],\n        \"ach\": {\n          \"refunds\": {\n            \"writtenRefundPolicy\": true,\n            \"refundPolicyUrl\": \"http://www.example.com/refunds\"\n          },\n          \"estimatedMonthlyTransactions\": 3000,\n          \"limits\": {\n            \"singleTransaction\": 10000,\n            \"dailyDeposit\": 200000,\n            \"monthlyDeposit\": 6000000\n          },\n          \"naics\": \"5812\",\n          \"previouslyTerminatedForAch\": false,\n          \"transactionTypes\": [\n            \"prearrangedPayment\",\n            \"other\"\n          ],\n          \"transactionTypesOther\": \"recurringBilling\"\n        },\n        \"cardAcceptance\": {\n          \"debitOnly\": false,\n          \"hsaFsa\": false,\n          \"cardsAccepted\": [\n            \"visa\",\n            \"mastercard\"\n          ],\n          \"specialityCards\": {\n            \"americanExpressDirect\": {\n              \"enabled\": true,\n              \"merchantNumber\": \"abc1234567\"\n            },\n            \"electronicBenefitsTransfer\": {\n              \"enabled\": true,\n              \"fnsNumber\": \"6789012\"\n            },\n            \"other\": {\n              \"wexMerchantNumber\": \"abc1234567\",\n              \"voyagerMerchantId\": \"abc1234567\",\n              \"fleetMerchantId\": \"abc1234567\"\n            }\n          }\n        }\n      },\n      \"funding\": {\n        \"fundingSchedule\": \"nextday\",\n        \"acceleratedFundingFee\": 1999,\n        \"dailyDiscount\": false,\n        \"fundingAccounts\": [\n          {\n            \"type\": \"checking\",\n            \"use\": \"creditAndDebit\",\n            \"nameOnAccount\": \"Jane Doe\",\n            \"paymentMethods\": [\n              {\n                \"type\": \"ach\",\n                \"value\": {\n                  \"routingNumber\": \"123456789\",\n                  \"accountNumber\": \"1234567890\"\n                }\n              }\n            ],\n            \"metadata\": {\n              \"yourCustomField\": \"abc123\"\n            }\n          }\n        ]\n      },\n      \"pricing\": {\n        \"type\": \"intent\",\n        \"pricingIntentId\": \"6123\"\n      },\n      \"signature\": {\n        \"type\": \"requestedViaDirectLink\"\n      },\n      \"website\": \"www.example.com\",\n      \"businessType\": \"restaurant\",\n      \"categoryCode\": 5999,\n      \"processor\": \"tsys\",\n      \"contacts\": [\n        {\n          \"type\": \"manager\",\n          \"firstName\": \"Jane\",\n          \"lastName\": \"Doe\",\n          \"contactMethods\": [\n            {\n              \"type\": \"email\",\n              \"value\": \"jane.doe@example.com\"\n            }\n          ],\n          \"middleName\": \"Helen\",\n          \"identifiers\": [\n            {\n              \"type\": \"nationalId\",\n              \"value\": \"000-00-4320\"\n            }\n          ]\n        }\n      ],\n      \"metadata\": {\n        \"customerId\": \"2345\"\n      }\n    }\n  ],\n  \"metadata\": {\n    \"customerId\": \"2345\"\n  }\n}")
  .asString();
```

**`Create merchant platform`**

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.payroc.com/v1/merchant-platforms', [
  'body' => '{
  "business": {
    "name": "Example Corp",
    "taxId": "12-3456789",
    "organizationType": "privateCorporation",
    "addresses": [
      {
        "address1": "1 Example Ave.",
        "address2": "Example Address Line 2",
        "address3": "Example Address Line 3",
        "city": "Chicago",
        "country": "US",
        "postalCode": "60056",
        "state": "Illinois",
        "type": "legalAddress"
      }
    ],
    "contactMethods": [
      {
        "type": "email",
        "value": "jane.doe@example.com"
      }
    ],
    "countryOfOperation": "US"
  },
  "processingAccounts": [
    {
      "doingBusinessAs": "Pizza Doe",
      "owners": [
        {
          "firstName": "Jane",
          "lastName": "Doe",
          "dateOfBirth": "1964-03-22",
          "address": {
            "address1": "1 Example Ave.",
            "city": "Chicago",
            "state": "Illinois",
            "country": "US",
            "postalCode": "60056",
            "address2": "Example Address Line 2",
            "address3": "Example Address Line 3"
          },
          "identifiers": [
            {
              "type": "nationalId",
              "value": "000-00-4320"
            }
          ],
          "contactMethods": [
            {
              "type": "email",
              "value": "jane.doe@example.com"
            }
          ],
          "relationship": {
            "isControlProng": true,
            "equityPercentage": 48.5,
            "title": "CFO",
            "isAuthorizedSignatory": false
          },
          "middleName": "Helen"
        }
      ],
      "merchandiseOrServiceSold": "Pizza",
      "businessStartDate": "2020-01-01",
      "timezone": "America/Chicago",
      "address": {
        "address1": "1 Example Ave.",
        "address2": "Example Address Line 2",
        "address3": "Example Address Line 3",
        "city": "Chicago",
        "country": "US",
        "postalCode": "60056",
        "state": "Illinois"
      },
      "contactMethods": [
        {
          "type": "email",
          "value": "jane.doe@example.com"
        }
      ],
      "processing": {
        "transactionAmounts": {
          "average": 5000,
          "highest": 10000
        },
        "monthlyAmounts": {
          "average": 50000,
          "highest": 100000
        },
        "volumeBreakdown": {
          "cardPresent": 77,
          "mailOrTelephone": 3,
          "ecommerce": 20
        },
        "isSeasonal": true,
        "monthsOfOperation": [
          "jan",
          "feb"
        ],
        "ach": {
          "refunds": {
            "writtenRefundPolicy": true,
            "refundPolicyUrl": "http://www.example.com/refunds"
          },
          "estimatedMonthlyTransactions": 3000,
          "limits": {
            "singleTransaction": 10000,
            "dailyDeposit": 200000,
            "monthlyDeposit": 6000000
          },
          "naics": "5812",
          "previouslyTerminatedForAch": false,
          "transactionTypes": [
            "prearrangedPayment",
            "other"
          ],
          "transactionTypesOther": "recurringBilling"
        },
        "cardAcceptance": {
          "debitOnly": false,
          "hsaFsa": false,
          "cardsAccepted": [
            "visa",
            "mastercard"
          ],
          "specialityCards": {
            "americanExpressDirect": {
              "enabled": true,
              "merchantNumber": "abc1234567"
            },
            "electronicBenefitsTransfer": {
              "enabled": true,
              "fnsNumber": "6789012"
            },
            "other": {
              "wexMerchantNumber": "abc1234567",
              "voyagerMerchantId": "abc1234567",
              "fleetMerchantId": "abc1234567"
            }
          }
        }
      },
      "funding": {
        "fundingSchedule": "nextday",
        "acceleratedFundingFee": 1999,
        "dailyDiscount": false,
        "fundingAccounts": [
          {
            "type": "checking",
            "use": "creditAndDebit",
            "nameOnAccount": "Jane Doe",
            "paymentMethods": [
              {
                "type": "ach",
                "value": {
                  "routingNumber": "123456789",
                  "accountNumber": "1234567890"
                }
              }
            ],
            "metadata": {
              "yourCustomField": "abc123"
            }
          }
        ]
      },
      "pricing": {
        "type": "intent",
        "pricingIntentId": "6123"
      },
      "signature": {
        "type": "requestedViaDirectLink"
      },
      "website": "www.example.com",
      "businessType": "restaurant",
      "categoryCode": 5999,
      "processor": "tsys",
      "contacts": [
        {
          "type": "manager",
          "firstName": "Jane",
          "lastName": "Doe",
          "contactMethods": [
            {
              "type": "email",
              "value": "jane.doe@example.com"
            }
          ],
          "middleName": "Helen",
          "identifiers": [
            {
              "type": "nationalId",
              "value": "000-00-4320"
            }
          ]
        }
      ],
      "metadata": {
        "customerId": "2345"
      }
    }
  ],
  "metadata": {
    "customerId": "2345"
  }
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
    'Idempotency-Key' => '8e03978e-40d5-43e8-bc93-6894a57f9324',
  ],
]);

echo $response->getBody();
```

**`Create merchant platform`**

```csharp
using RestSharp;

var client = new RestClient("https://api.payroc.com/v1/merchant-platforms");
var request = new RestRequest(Method.POST);
request.AddHeader("Idempotency-Key", "8e03978e-40d5-43e8-bc93-6894a57f9324");
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"business\": {\n    \"name\": \"Example Corp\",\n    \"taxId\": \"12-3456789\",\n    \"organizationType\": \"privateCorporation\",\n    \"addresses\": [\n      {\n        \"address1\": \"1 Example Ave.\",\n        \"address2\": \"Example Address Line 2\",\n        \"address3\": \"Example Address Line 3\",\n        \"city\": \"Chicago\",\n        \"country\": \"US\",\n        \"postalCode\": \"60056\",\n        \"state\": \"Illinois\",\n        \"type\": \"legalAddress\"\n      }\n    ],\n    \"contactMethods\": [\n      {\n        \"type\": \"email\",\n        \"value\": \"jane.doe@example.com\"\n      }\n    ],\n    \"countryOfOperation\": \"US\"\n  },\n  \"processingAccounts\": [\n    {\n      \"doingBusinessAs\": \"Pizza Doe\",\n      \"owners\": [\n        {\n          \"firstName\": \"Jane\",\n          \"lastName\": \"Doe\",\n          \"dateOfBirth\": \"1964-03-22\",\n          \"address\": {\n            \"address1\": \"1 Example Ave.\",\n            \"city\": \"Chicago\",\n            \"state\": \"Illinois\",\n            \"country\": \"US\",\n            \"postalCode\": \"60056\",\n            \"address2\": \"Example Address Line 2\",\n            \"address3\": \"Example Address Line 3\"\n          },\n          \"identifiers\": [\n            {\n              \"type\": \"nationalId\",\n              \"value\": \"000-00-4320\"\n            }\n          ],\n          \"contactMethods\": [\n            {\n              \"type\": \"email\",\n              \"value\": \"jane.doe@example.com\"\n            }\n          ],\n          \"relationship\": {\n            \"isControlProng\": true,\n            \"equityPercentage\": 48.5,\n            \"title\": \"CFO\",\n            \"isAuthorizedSignatory\": false\n          },\n          \"middleName\": \"Helen\"\n        }\n      ],\n      \"merchandiseOrServiceSold\": \"Pizza\",\n      \"businessStartDate\": \"2020-01-01\",\n      \"timezone\": \"America/Chicago\",\n      \"address\": {\n        \"address1\": \"1 Example Ave.\",\n        \"address2\": \"Example Address Line 2\",\n        \"address3\": \"Example Address Line 3\",\n        \"city\": \"Chicago\",\n        \"country\": \"US\",\n        \"postalCode\": \"60056\",\n        \"state\": \"Illinois\"\n      },\n      \"contactMethods\": [\n        {\n          \"type\": \"email\",\n          \"value\": \"jane.doe@example.com\"\n        }\n      ],\n      \"processing\": {\n        \"transactionAmounts\": {\n          \"average\": 5000,\n          \"highest\": 10000\n        },\n        \"monthlyAmounts\": {\n          \"average\": 50000,\n          \"highest\": 100000\n        },\n        \"volumeBreakdown\": {\n          \"cardPresent\": 77,\n          \"mailOrTelephone\": 3,\n          \"ecommerce\": 20\n        },\n        \"isSeasonal\": true,\n        \"monthsOfOperation\": [\n          \"jan\",\n          \"feb\"\n        ],\n        \"ach\": {\n          \"refunds\": {\n            \"writtenRefundPolicy\": true,\n            \"refundPolicyUrl\": \"http://www.example.com/refunds\"\n          },\n          \"estimatedMonthlyTransactions\": 3000,\n          \"limits\": {\n            \"singleTransaction\": 10000,\n            \"dailyDeposit\": 200000,\n            \"monthlyDeposit\": 6000000\n          },\n          \"naics\": \"5812\",\n          \"previouslyTerminatedForAch\": false,\n          \"transactionTypes\": [\n            \"prearrangedPayment\",\n            \"other\"\n          ],\n          \"transactionTypesOther\": \"recurringBilling\"\n        },\n        \"cardAcceptance\": {\n          \"debitOnly\": false,\n          \"hsaFsa\": false,\n          \"cardsAccepted\": [\n            \"visa\",\n            \"mastercard\"\n          ],\n          \"specialityCards\": {\n            \"americanExpressDirect\": {\n              \"enabled\": true,\n              \"merchantNumber\": \"abc1234567\"\n            },\n            \"electronicBenefitsTransfer\": {\n              \"enabled\": true,\n              \"fnsNumber\": \"6789012\"\n            },\n            \"other\": {\n              \"wexMerchantNumber\": \"abc1234567\",\n              \"voyagerMerchantId\": \"abc1234567\",\n              \"fleetMerchantId\": \"abc1234567\"\n            }\n          }\n        }\n      },\n      \"funding\": {\n        \"fundingSchedule\": \"nextday\",\n        \"acceleratedFundingFee\": 1999,\n        \"dailyDiscount\": false,\n        \"fundingAccounts\": [\n          {\n            \"type\": \"checking\",\n            \"use\": \"creditAndDebit\",\n            \"nameOnAccount\": \"Jane Doe\",\n            \"paymentMethods\": [\n              {\n                \"type\": \"ach\",\n                \"value\": {\n                  \"routingNumber\": \"123456789\",\n                  \"accountNumber\": \"1234567890\"\n                }\n              }\n            ],\n            \"metadata\": {\n              \"yourCustomField\": \"abc123\"\n            }\n          }\n        ]\n      },\n      \"pricing\": {\n        \"type\": \"intent\",\n        \"pricingIntentId\": \"6123\"\n      },\n      \"signature\": {\n        \"type\": \"requestedViaDirectLink\"\n      },\n      \"website\": \"www.example.com\",\n      \"businessType\": \"restaurant\",\n      \"categoryCode\": 5999,\n      \"processor\": \"tsys\",\n      \"contacts\": [\n        {\n          \"type\": \"manager\",\n          \"firstName\": \"Jane\",\n          \"lastName\": \"Doe\",\n          \"contactMethods\": [\n            {\n              \"type\": \"email\",\n              \"value\": \"jane.doe@example.com\"\n            }\n          ],\n          \"middleName\": \"Helen\",\n          \"identifiers\": [\n            {\n              \"type\": \"nationalId\",\n              \"value\": \"000-00-4320\"\n            }\n          ]\n        }\n      ],\n      \"metadata\": {\n        \"customerId\": \"2345\"\n      }\n    }\n  ],\n  \"metadata\": {\n    \"customerId\": \"2345\"\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

**`Create merchant platform`**

```swift
import Foundation

let headers = [
  "Idempotency-Key": "8e03978e-40d5-43e8-bc93-6894a57f9324",
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "business": [
    "name": "Example Corp",
    "taxId": "12-3456789",
    "organizationType": "privateCorporation",
    "addresses": [
      [
        "address1": "1 Example Ave.",
        "address2": "Example Address Line 2",
        "address3": "Example Address Line 3",
        "city": "Chicago",
        "country": "US",
        "postalCode": "60056",
        "state": "Illinois",
        "type": "legalAddress"
      ]
    ],
    "contactMethods": [
      [
        "type": "email",
        "value": "jane.doe@example.com"
      ]
    ],
    "countryOfOperation": "US"
  ],
  "processingAccounts": [
    [
      "doingBusinessAs": "Pizza Doe",
      "owners": [
        [
          "firstName": "Jane",
          "lastName": "Doe",
          "dateOfBirth": "1964-03-22",
          "address": [
            "address1": "1 Example Ave.",
            "city": "Chicago",
            "state": "Illinois",
            "country": "US",
            "postalCode": "60056",
            "address2": "Example Address Line 2",
            "address3": "Example Address Line 3"
          ],
          "identifiers": [
            [
              "type": "nationalId",
              "value": "000-00-4320"
            ]
          ],
          "contactMethods": [
            [
              "type": "email",
              "value": "jane.doe@example.com"
            ]
          ],
          "relationship": [
            "isControlProng": true,
            "equityPercentage": 48.5,
            "title": "CFO",
            "isAuthorizedSignatory": false
          ],
          "middleName": "Helen"
        ]
      ],
      "merchandiseOrServiceSold": "Pizza",
      "businessStartDate": "2020-01-01",
      "timezone": "America/Chicago",
      "address": [
        "address1": "1 Example Ave.",
        "address2": "Example Address Line 2",
        "address3": "Example Address Line 3",
        "city": "Chicago",
        "country": "US",
        "postalCode": "60056",
        "state": "Illinois"
      ],
      "contactMethods": [
        [
          "type": "email",
          "value": "jane.doe@example.com"
        ]
      ],
      "processing": [
        "transactionAmounts": [
          "average": 5000,
          "highest": 10000
        ],
        "monthlyAmounts": [
          "average": 50000,
          "highest": 100000
        ],
        "volumeBreakdown": [
          "cardPresent": 77,
          "mailOrTelephone": 3,
          "ecommerce": 20
        ],
        "isSeasonal": true,
        "monthsOfOperation": ["jan", "feb"],
        "ach": [
          "refunds": [
            "writtenRefundPolicy": true,
            "refundPolicyUrl": "http://www.example.com/refunds"
          ],
          "estimatedMonthlyTransactions": 3000,
          "limits": [
            "singleTransaction": 10000,
            "dailyDeposit": 200000,
            "monthlyDeposit": 6000000
          ],
          "naics": "5812",
          "previouslyTerminatedForAch": false,
          "transactionTypes": ["prearrangedPayment", "other"],
          "transactionTypesOther": "recurringBilling"
        ],
        "cardAcceptance": [
          "debitOnly": false,
          "hsaFsa": false,
          "cardsAccepted": ["visa", "mastercard"],
          "specialityCards": [
            "americanExpressDirect": [
              "enabled": true,
              "merchantNumber": "abc1234567"
            ],
            "electronicBenefitsTransfer": [
              "enabled": true,
              "fnsNumber": "6789012"
            ],
            "other": [
              "wexMerchantNumber": "abc1234567",
              "voyagerMerchantId": "abc1234567",
              "fleetMerchantId": "abc1234567"
            ]
          ]
        ]
      ],
      "funding": [
        "fundingSchedule": "nextday",
        "acceleratedFundingFee": 1999,
        "dailyDiscount": false,
        "fundingAccounts": [
          [
            "type": "checking",
            "use": "creditAndDebit",
            "nameOnAccount": "Jane Doe",
            "paymentMethods": [
              [
                "type": "ach",
                "value": [
                  "routingNumber": "123456789",
                  "accountNumber": "1234567890"
                ]
              ]
            ],
            "metadata": ["yourCustomField": "abc123"]
          ]
        ]
      ],
      "pricing": [
        "type": "intent",
        "pricingIntentId": "6123"
      ],
      "signature": ["type": "requestedViaDirectLink"],
      "website": "www.example.com",
      "businessType": "restaurant",
      "categoryCode": 5999,
      "processor": "tsys",
      "contacts": [
        [
          "type": "manager",
          "firstName": "Jane",
          "lastName": "Doe",
          "contactMethods": [
            [
              "type": "email",
              "value": "jane.doe@example.com"
            ]
          ],
          "middleName": "Helen",
          "identifiers": [
            [
              "type": "nationalId",
              "value": "000-00-4320"
            ]
          ]
        ]
      ],
      "metadata": ["customerId": "2345"]
    ]
  ],
  "metadata": ["customerId": "2345"]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.payroc.com/v1/merchant-platforms")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

<a id="response-fields"></a>
### Response fields

If your request is successful, our gateway creates the merchant platform. The response contains the following fields:

<a id="schema-responsebody"></a>
### Schema (`response.body`)

[Response body schema for `POST /merchant-platforms`](/api/create-merchant)

<a id="example-response"></a>
### Example response

<a id="response-201"></a>
### Response (201)

```json
{
  "business": {
    "name": "Example Corp",
    "taxId": "xxxxx6789",
    "organizationType": "privateCorporation",
    "addresses": [
      {
        "address1": "1 Example Ave.",
        "address2": "Example Address Line 2",
        "address3": "Example Address Line 3",
        "city": "Chicago",
        "country": "US",
        "postalCode": "60056",
        "state": "Illinois",
        "type": "legalAddress"
      }
    ],
    "contactMethods": [
      {
        "type": "email",
        "value": "jane.doe@example.com"
      }
    ],
    "countryOfOperation": "US"
  },
  "processingAccounts": [
    {
      "doingBusinessAs": "Pizza Doe",
      "processor": "tsys",
      "status": "pending",
      "addendums": [],
      "processingAccountId": "38765",
      "link": {
        "rel": "processingAccount",
        "href": "https://api.payroc.com/v1/processing-accounts/38765",
        "method": "get"
      },
      "signature": {
        "type": "requestedViaDirectLink",
        "link": {
          "rel": "agreement",
          "method": "get",
          "href": "https://us.agreementexpress.net/mv2/viewer2.jsp?docId=00000000-0000-0000-0000-000000000000"
        }
      }
    }
  ],
  "merchantPlatformId": "12345",
  "createdDate": "2024-07-02T12:00:00.000+00:00",
  "lastModifiedDate": "2024-07-02T12:00:00.000+00:00"
}
```

<a id="step-2-optional-create-a-reminder"></a>
## Step 2. (Optional) Create a reminder

If you requested the merchant’s signature by email and they don’t respond, use our Reminders endpoint to send another email.

**Note:** You can use the Reminders endpoint only if you request the merchant’s signature by email. If you generate a link to the pricing agreement, you can’t use the Reminders endpoint.

| Environment | URL |
| --- | --- |
| Test | [https://api.uat.payroc.com/v1/processing-accounts/\{processingAccountId\}/reminders](https://api.uat.payroc.com/v1/processing-accounts/%7BprocessingAccountId%7D/reminders) |
| Production | [https://api.payroc.com/v1/processing-accounts/\{processingAccountId\}/reminders](https://api.payroc.com/v1/processing-accounts/%7BprocessingAccountId%7D/reminders) |

<a id="request-parameters-1"></a>
### Request parameters

To create the body of your request, use the following parameters:

<a id="schema-requestbody-1"></a>
### Schema (`request.body`)

[Request body schema for `POST /processing-accounts/{processingAccountId}/reminders`](/api/create-reminder)

<a id="example-request-1"></a>
### Example request

<a id="request-1"></a>
### Request

POST [https://api.payroc.com/v1/processing-accounts/\{processingAccountId\}/reminders](https://api.payroc.com/v1/processing-accounts/%7BprocessingAccountId%7D/reminders)

**`Create reminder for processing account`**

```curl
curl -X POST https://api.payroc.com/v1/processing-accounts/38765/reminders \
     -H "Idempotency-Key: 8e03978e-40d5-43e8-bc93-6894a57f9324" \
     -H "Authorization: Bearer <token>" \
     -H "Content-Type: application/json" \
     -d '{
  "type": "pricingAgreement"
}'
```

**`Create reminder for processing account`**

```python
import requests

url = "https://api.payroc.com/v1/processing-accounts/38765/reminders"

payload = { "type": "pricingAgreement" }
headers = {
    "Idempotency-Key": "8e03978e-40d5-43e8-bc93-6894a57f9324",
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

**`Create reminder for processing account`**

```javascript
const url = 'https://api.payroc.com/v1/processing-accounts/38765/reminders';
const options = {
  method: 'POST',
  headers: {
    'Idempotency-Key': '8e03978e-40d5-43e8-bc93-6894a57f9324',
    Authorization: 'Bearer <token>',
    'Content-Type': 'application/json'
  },
  body: '{"type":"pricingAgreement"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

**`Create reminder for processing account`**

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.payroc.com/v1/processing-accounts/38765/reminders"

	payload := strings.NewReader("{\n  \"type\": \"pricingAgreement\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Idempotency-Key", "8e03978e-40d5-43e8-bc93-6894a57f9324")
	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

**`Create reminder for processing account`**

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.payroc.com/v1/processing-accounts/38765/reminders")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '8e03978e-40d5-43e8-bc93-6894a57f9324'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"type\": \"pricingAgreement\"\n}"

response = http.request(request)
puts response.read_body
```

**`Create reminder for processing account`**

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.payroc.com/v1/processing-accounts/38765/reminders")
  .header("Idempotency-Key", "8e03978e-40d5-43e8-bc93-6894a57f9324")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"type\": \"pricingAgreement\"\n}")
  .asString();
```

**`Create reminder for processing account`**

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.payroc.com/v1/processing-accounts/38765/reminders', [
  'body' => '{
  "type": "pricingAgreement"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
    'Idempotency-Key' => '8e03978e-40d5-43e8-bc93-6894a57f9324',
  ],
]);

echo $response->getBody();
```

**`Create reminder for processing account`**

```csharp
using RestSharp;

var client = new RestClient("https://api.payroc.com/v1/processing-accounts/38765/reminders");
var request = new RestRequest(Method.POST);
request.AddHeader("Idempotency-Key", "8e03978e-40d5-43e8-bc93-6894a57f9324");
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"type\": \"pricingAgreement\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

**`Create reminder for processing account`**

```swift
import Foundation

let headers = [
  "Idempotency-Key": "8e03978e-40d5-43e8-bc93-6894a57f9324",
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["type": "pricingAgreement"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.payroc.com/v1/processing-accounts/38765/reminders")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

<a id="response-fields-1"></a>
### Response fields

If your request is successful, our gateway creates the reminder and sends the email to the merchant. The response contains the following fields:

<a id="schema-responsebody-1"></a>
### Schema (`response.body`)

[Response body schema for `POST /processing-accounts/{processingAccountId}/reminders`](/api/create-reminder)

<a id="example-response-1"></a>
### Example response

<a id="response-201-1"></a>
### Response (201)

```json
{
  "type": "pricingAgreement",
  "reminderId": "1234567"
}
```
